EMF: EMF::EMRELLIPSE Class Reference

EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRELLIPSE Class Reference

EMF Ellipse. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRELLIPSE:

## Public Member Functions
| EMRELLIPSE (INT left, INT top, INT right, INT bottom)
| EMRELLIPSE (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Ellipse.

Draw an ellipse. (I have no idea how the ellipse is defined!)

## Constructor & Destructor Documentation

EMF::EMRELLIPSE::EMRELLIPSE | ( | INT | left,
|  | INT | top,
|  | INT | right,
|  | INT | bottom
| ) |  |
| inline

Take these descriptions with a grain of salt...

Parameters

  left | x position of left extrema of ellipse.
  top | y position of top extrema of ellipse.
  right | x position of right extrema of ellipse.
  bottom | y position of bottom extrema of ellipse.

EMF::EMRELLIPSE::EMRELLIPSE | ( | DATASTREAM & | ds | ) |
| inline

Construct an Ellipse record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRELLIPSE::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inlinevirtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRELLIPSE::serialize | ( | DATASTREAM | ds | ) |
| inlinevirtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRELLIPSE::size | ( | void |  | ) | const
| inlinevirtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h